RK-J - Feature #3024

extension 0.92.20 & 0.93: Enable OpenAl answers
05/05/2023 05:06 AM - Ram Kordale

Status: Closed Start date: 06/07/2023
Priority: Normal Due date: 07/04/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 38.75 hours
Description

High level test cases:

- Show new Ul if backend has support

- Do not show new Ul if backend does not have support

- Show Lorem ipsum content if api key is empty or is invalid
- Show openai response if api key is valid

Subtasks:
Feature # 3061: Backend requirements

Task # 3060: BE-0.92.20: Enable API for the openAl answers.

Task # 3063: BE-0.92.20: Add OpenAl Config settings.

Task # 3064: BE-0.92.20: Add support to the getPurpleLinksinfoExtFull API.

Task # 3066: BE-0.92.20: Fetch the KEY from the datastore for the OpenAl Answer.

Task # 3074: BE-0.92.20: Allow caching to the OpenAl encrypted secret key.

Task # 3084: BE-v0.93: Add the backend support for the version 0.93 in the getPurpleLin...

Task # 3105: BE-v0.93: Log the openai call details in the GCP using url present in the ...
Feature # 3062: Extension v0.93 requirements

Task # 3059: EXT-0.92.20: Enable OpenAl answer in the extension

Task # 3065: EXT-0.93: Display 'ChatGPT' box based on the field 'isOpenAlAnswerSupported'.

Task # 3072: EXT - 0.93: Allow user to search using the ChatGPT.

Task # 3073: EXT-0.93: Add a new Ul for allowing ChatGPT.

Task # 3075: EXT-0.93: Add a new Ul for searching in the ChatGPT.

Task # 3083: Ext-v0.93: Revert the changes of the ticket #3059.

Task # 3085: Ext-v0.93: Change the manifest version from 0.92.20 to 0.93

Task # 3090: Ext-0.93: Remove the openai result implementation from ext-0.92.20

Task # 3106: Ext-0.93: Change the request body of the answer api call.

Task # 3108: Ext-0.93: Add loader in the extension while doing search using ChatGPT Plus.
Feature # 3103: BE: Change OpenAl API call
History

#1 - 06/07/2023 05:10 AM - Ram Kordale

- Subject changed from extension 0.93: Make permission 'specific sites' and change it dynamically to extension 0.92.20: Enable OpenAl answers

- Assignee changed from Ram Kordale to Ayush Khandelwal

High level test cases:

- Show new Ul if backend has support

- Do not show new Ul if backend does not have support

- Show Lorem ipsum content if api key is empty or is invalid
- Show openai response if api key is valid

#2 - 06/07/2023 05:11 AM - Ram Kordale

- Description updated

#3 - 06/08/2023 02:03 AM - Ram Kordale

- Description updated
#4 - 06/22/2023 12:26 PM - Ayush Khandelwal
- Subject changed from extension 0.92.20: Enable OpenAl answers to extension 0.92.20 & 0.93: Enable OpenAl answers

#5 - 07/06/2023 05:40 AM - Ayush Khandelwal

- Status changed from New to Resolved
Working as expected

#6 - 07/06/2023 05:41 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

#7 - 07/13/2023 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed
